package com.adealink.weparty.wallet.stat

import com.adealink.frame.statistics.BaseStatEvent
import com.adealink.frame.statistics.CommonEventKey
import com.adealink.frame.statistics.CommonEventValue
import com.adealink.frame.statistics.IEventValue

class FirstPaymentEvent() : BaseStatEvent("8p9mbg") {

    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val orderId = Param(CommonEventKey.ORDER_ID) //充值订单编号
    val paymentType = Param("payment_type") //充值类型(金币:0, 钻石:1)
    val paymentAmount = Param("payment_amount") //充值数量
    val paymentCurrency = Param("payment_currency") //充值货币类型
    val paymentPrice = Param("payment_price") //充值货币名称

    val adjustRevenue = Param(CommonEventKey.ADJUST_REVENUE)
    val adjustRevenueCurrency = Param(CommonEventKey.ADJUST_REVENUE_CURRENCY)

}


class ViewCoinPageEvent: BaseStatEvent("kyb5bm") {
    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
}

class ClickCoinRechargeEvent: BaseStatEvent("vbkt69") {
    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
}

class ViewDiamondPageEvent: BaseStatEvent("qlu402") {
    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
}

class ClickDiamondRechargeEvent: BaseStatEvent("xa6ysh") {
    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
}